> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myalice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Text Message

> Sends a text message to a MyAlice customer in any platform



## OpenAPI

````yaml POST /stable/open/customers/send-text-message
openapi: 3.0.3
info:
  title: MyAlice
  description: MyAlice API to communicate with MyAlice dashboard and your internal system
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.myalice.ai
security:
  - ApiKeyAuth: []
paths:
  /stable/open/customers/send-text-message:
    post:
      description: Sends a text message to a MyAlice customer in any platform
      requestBody:
        description: Text to send
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendMessage'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessSendTemplate'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauth'
components:
  schemas:
    SendMessage:
      required:
        - customer_id
        - text
      type: object
      properties:
        customer_id:
          description: >-
            The Id of the customer in MyAlice, can be found in MyAlice Dashboard
            or API/Webhook call
          type: string
          example: '1022'
        text:
          description: Text message to be sent
          type: string
          example: Hi
    SuccessSendTemplate:
      required:
        - id
        - project_id
        - timestamp
        - function_name
        - message
        - status
        - extra
      type: object
      properties:
        id:
          type: string
        project_id:
          type: integer
        timestamp:
          type: string
        function_name:
          type: string
        message:
          type: string
        status:
          type: string
        extra:
          type: object
          properties:
            timestamp:
              type: string
            project_id:
              type: integer
            platform_id:
              type: integer
            customer_id:
              type: integer
            customer_phone:
              type: string
            template_id:
              type: string
            template_name:
              type: string
            source:
              type: string
            success:
              type: boolean
            report:
              type: object
              properties:
                messaging_product:
                  type: string
                contacts:
                  type: array
                  items:
                    type: object
                    properties:
                      input:
                        type: string
                      wa_id:
                        type: string
                messages:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      message_status:
                        type: string
    Error:
      required:
        - error
        - code
        - success
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        success:
          type: boolean
    Unauth:
      required:
        - detail
      type: object
      properties:
        detail:
          type: string
          example: Invalid api key provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Myalice-Api-Key

````